import type { AdapterBoundPool, AdapterPrimalPool, AdapterConfig, AdapterTableNames, AdapterTableNamesProps } from '@resolve-js/eventstore-base';
export declare type MySQLConnection = {
    execute: (sql: string) => Promise<never>;
    query: (sql: string) => Promise<Array<Array<any>>>;
    end: () => Promise<never>;
};
export declare type ConfiguredProps = AdapterTableNamesProps & {
    database: string;
    query: (sql: string) => Promise<any[][]>;
    execute: (sql: string) => Promise<void>;
    escapeId: (val: string) => string;
    escape: (val: string) => string;
    connectionOptions: any;
    createGetConnectPromise: () => () => Promise<void>;
    getConnectPromise: () => Promise<void>;
    connection?: MySQLConnection;
};
export declare type MysqlAdapterConfig = AdapterConfig & AdapterTableNames & {
    database: string;
    [key: string]: any;
};
export declare type AdapterPool = AdapterBoundPool<ConfiguredProps>;
export declare type AdapterPoolPrimal = AdapterPrimalPool<ConfiguredProps>;
